Get DCV policy status

Get the status of a DCV policy, including policy metadata and per-domain validation status.

Path parameters
name
string required

Name of the DCV policy

Responses
  • 200 DCV policy status including policy metadata and per-domain validation status
    name
    string required

    Unique name of the DCV policy

    enabled
    boolean required

    Whether the DCV policy is enabled

    executionTimeout
    string | null (FiniteDuration) required

    Maximum duration allowed for a single DCV run

    retryDelay
    string | null (FiniteDuration) required

    Delay between retry attempts

    status
    string required

    Current status of the DCV policy

    Enum scheduled disabled running queued enabled
    domainsStatus
    object (DCVDomainsStatus) required

    Domain validation statuses, with an optional error if the provider could not be reached

    runnable
    boolean required

    Whether the policy is enabled and the principal has manage permission

    renewalPeriod
    string | null (FiniteDuration)

    Duration before expiry at which renewal is triggered; absent if no renewal policy is set

    startedAt
    integer | null

    Epoch milliseconds when the current execution started, only present when status is running

    executionTimeoutAt
    integer | null

    Epoch milliseconds at which the current execution will be forcefully ended, only present when status is running

    nextCheckAt
    integer | null

    Epoch milliseconds of the next retry check, only present when status is running

  • 401 Unauthorized request
  • 403 Forbidden action
  • 404 DCV policy not found
  • 500 Internal Server error